10

So, because of Darren Cook's answer to the EOL reminder I made back in May, and how people apparently don't like the status quo, I'm dredging this whole discussion back up. Because of Darren. So blame him.

This was Darren's answer on the EOL notice thread:

Might I suggest an alternative approach, given that unsupported-by-Canonical versions of Ubuntu keep running fine, and that the Ubuntu desktop upgrade route past 10.04 is unpopular with a significant number of users:

Instead of flagging and closing questions about EOL-ed as off-topic, why don't you just leave them! People who want to answer can answer. People who no longer run 10.04 cannot answer them.

Just make sure they are correctly flagged as "10.04" or whatever, so that people no longer running 10.04 can happily ignore them.

This is how a volunteer Q&A community should work, by not getting in the way of the organization of human knowledge with arbitrary rules.

This approach keeps everyone happy. In worst case the guy asking a 10.04 question gets no replies because no-one still runs the OS. In best, someone else running 10.04 gives just the answer he was looking for, and the net knowledge in the universe has increased.

The status quo is as it is because we abide by Canonical's support timetables for any given release. The Ubuntu IRC channels (and indirectly, the official flavors' channels) all follow that policy, and to some extent the other Ubuntu support mediums follow the policy of not providing support for any (new) EOL-release questions.

Basically, do we need to change, keep the status quo, or do we need to consider adopting Darren's suggestions?

  • At the end of a week, the answer with the most votes will get "Accepted", if the mods and everyone else don't have any issues with that. – Thomas Ward Oct 11 '13 at 2:45
  • wiki.ubuntu.com/Releases – don.joey Oct 11 '13 at 9:33
19

"Running fine" is hard to swallow given everybody who asks a question has a problem.

We should close EOL questions because as a community of both Ubuntu users and internet denizens, we should want people to stop using unsupported software.

Many years ago I... Well let's just say I had more than a passing interest in computer security. Something that I saw again and again and again is that software running on the internet without updates is software that gets hacked and cracked wide open.

We should care because it's that computer that goes on to infect another dozen unpatched computers, send out spam and DDOS networks you care about.

Lucid (10.04) is off-topic on the desktop because its software is now lagging behind. Firefox is seven months old and that means known security flaws that are being exploited in the wild. Desktop 10.04 users are a liability to the internet. We all have a personal interest in them upgrading.

I don't think it's unreasonable cost that people have to use supported software to get support and by enforcing that through closing questions, we show users that we won't help them run dangerous software.

  • 4
    Thanks for the feedback Oli. I still feel this is a Q&A site. Its purpose is to allow volunteers to answer other people's questions. All I am saying is people should be allowed to ask questions about the version of Ubuntu they are using, and people who have answers to those questions should be allowed to give them. – Darren Cook Oct 12 '13 at 9:32
  • 11
    That sentiment would have us supporting 90% of Ubuntu and Debian spin-offs. I do agree that it's nice to be helpful but it's more than just a scope issue here. It's dangerous to run outdated software and by extension it's dangerous to help somebody to remain on outdated software. It's something we should be militantly protective against. – Oli Oct 12 '13 at 10:25
-6

AskUbuntu is not an official arm of Canonical, and is not the official support forum for Ubuntu, though it seems to function as such recently. We remain under the auspices of Stackexchange which continues as a very strong question and answer site.

Whether Canonical considers an Ubuntu release as EOL in as little time as 9 months is immaterial. We should continue to be open as a question and answer site for users of Ubuntu. We could gently suggest upgrading to users of releases that are beyond EOL to benefit from security updates, however a valid question is still valid regardless of whether Canonical considers the release as EOL or not.

New questions regarding Ubuntu releases that have reached EOL should remain welcome on this site.

  • 5
    No they shouldn't. Such sentiment is going to result in us supporting all the Ubuntu versions that no longer get new software or security updates, and that alone is bad practice. As @Oli very clearly stated in his answer AND his comments on the answer he put here, "It's dangerous to run outdated software and by extension it's dangerous to help somebody to remain on outdated software. It's something we should be militantly protective against." – Thomas Ward Jan 30 '14 at 18:22
  • "regardless of whether Canonical considers the release as EOL" - Canonical by dropping support DEFINES what is EOL and what is not. – Mateusz Konieczny Aug 7 '18 at 5:25

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .